Register callback function based on event name.

- « Swoole\MySQL::getBuffer

- Swoole\MySQL::query »

- PHP Manual
- Swoole\MySQL
- Register callback function based on event name.

# Swoole\MySQL::on

(PECL swoole >= 1.9.0)

Swoole\MySQL::on — Register callback function based on event name.

### Description

public Swoole\MySQL::on(string `$event_name`, callable `$callback`): void

Register callback function based on event name, current only 'close' event is supported.

### Parameters

`event_name`

`callback`

### Return Values